const remote = require('electron').remote
const { BrowserWindow } = require('electron').remote

let piButton;
let instructionsButton;
let basePath;

function onLoad() {

  piButton = document.getElementById('piButton');
  instructionsButton = document.getElementById('instructionsButton');
  basePath = remote.app.getAppPath();
  console.log(basePath);

  piButton.addEventListener('click', function() {
    OpenPIWindow()
  });

  instructionsButton.addEventListener('click', function() {
    OpenInstructionsWindow()
  });

}

function OpenNewWindow(url)
{
  let child = new BrowserWindow({ 
    show: false, 
    width: 1220, 
    height: 900, 
    top: 40, 
    left: 350,
    target: '_blank',
    fullscreen: false
  })
  child.loadURL(url)
  child.once('ready-to-show', () => {
    child.setFullScreen(false)
    child.setAlwaysOnTop(true, 'pop-up-menu')
    child.show()
  })
}

function OpenPIWindow()
{
  let child = new BrowserWindow({ 
    show: false, 
    width: 1220, 
    height: 900, 
    top: 40, 
    left: 350,
    target: '_blank',
    fullscreen: false
  })
  child.loadURL('File://' + basePath + '/src/docs/bydureon_bcise.pdf')
  child.once('ready-to-show', () => {
    child.setFullScreen(false)
    child.setAlwaysOnTop(true, 'pop-up-menu')
    child.show()
  })
}

function OpenInstructionsWindow()
{
  let child = new BrowserWindow({ 
    show: false, 
    width: 1220, 
    height: 900, 
    top: 40, 
    left: 350,
    target: '_blank',
    fullscreen: false
  })
  child.loadURL('File://' + basePath + '/src/docs/bydureon_bcise_ifu.pdf')
  child.once('ready-to-show', () => {
    child.setFullScreen(false)
    child.setAlwaysOnTop(true, 'pop-up-menu')
    child.show()
  })
}

window.addEventListener('DOMContentLoaded', (event) => { setTimeout( onLoad(), 500); });
// window.onload = function() { setTimeout( onLoad(), 1000); };